<?

$login=htmlspecialchars($login);
$p=htmlspecialchars($p);
$sekret=htmlspecialchars($sekret);
$email=htmlspecialchars($email);
$age=htmlspecialchars($age);
$title=htmlspecialchars($title);

if (isset($_POST['sekret']))
{
$sekret=$_POST['sekret'];
}
if (isset($_POST['login']))
{
$login=$_POST['login'];
}
if (isset($_POST['p']))
{
$p=$_POST['p'];
}
if (isset($_POST['p2']))
{
$p2=$_POST['p2'];
}
if (isset($_POST['email']))
{
$email=$_POST['email'];
}
if (isset($_POST['title']))
{
$title=$_POST['title'];
}
if (isset($_POST['age']))
{
$age=$_POST['age'];
}

$fpk=@fopen("data/new_users/$login.dat","w");
fwrite($fpk, "логин: $login
пароль: $p
секрет: $sekret
имя: $title");
fclose($fpk);
if (!preg_match("/\w/",$login)) msg("В логине должны присутствовать английские буквы или цифры.<br/><a href=\"$PHP_SELF?site=reg\">Назад</a>",$game_title,0,'none');
if (!preg_match("/\w/",$p)) msg("В пароле должны присутствовать английские буквы или цифры.<br/><a href=\"$PHP_SELF?site=reg\">Назад</a>",$game_title,0,'none');
  
  $age=substr($age,0,2);
  
$login=str_replace("<","",$login);
$login=str_replace(">","",$login);
$login=str_replace("$","",$login);
$login=str_replace("#","",$login);
$login=substr($login,0,10);

$p=str_replace("<","",$p);
$p=str_replace(">","",$p);
$p=str_replace("$","",$p);
$p=str_replace("#","",$p);
$p=substr($p,0,10);

$title=str_replace("#","",$title);
$title=str_replace("<","",$title);
$title=str_replace(">","",$title);
$title=str_replace("$","",$title);
$title=substr($title,0,20);

$sekret=str_replace("#","",$sekret);
$sekret=str_replace("<","",$sekret);
$sekret=str_replace(">","",$sekret);
$sekret=str_replace("$","",$sekret);
$sekret=substr($sekret,0,20);

if (!$login) msg('Заполните все поля.<br/>',$game_title,0,'none');
if (strlen($login)<3) msg('<div><div class="main">Слишком короткий логин.<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a></div>',$game_title,0,'none');
if (strlen($p)<3) msg('<div><div class="main">Слишком короткий пароль.<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a></div>',$game_title,0,'none');
if (ereg("[^a-zA-Z0-9_=]+",$login)) msg('Только лат. буквы и цифры в логине, а также знаки =_.<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a>',$game_title,0,'none');
if (substr($login,0,5)!='user.') $login='user.'.$login;
$fileopen="./save/$login.dat";
$fileopen1="./users/$login.dat";
if (!file_exists($fileopen1)) $fileopen1=$fileopen;
if (file_exists($fileopen1)) msg('Такой логин уже существует, выберите другой<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a>',$game_title,0,'none');
foreach(array_keys($game["players"]) as $i) {
if ($login==$i) msg('Такой логин уже существует, выберите другой<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a>',$game_title,0,'none');
if ($title==$game['loc'][$game['players'][$i]][$i]['title']) msg('Имя '.$title.' уже занято, выберите другое<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a>',$game_title,0,'none');
}
if (!isset($game['players'][$login])) {
if (!$login || !$p || !$email || !$age || !$sekret || !$race) msg('Заполните все поля!<br/><a href=\''.$PHP_SELF.'?site=reg\'>Назад</a>',$game_title,0,'none');
// сохраняем логин в сессии
//сохраняем логин в сессии
if ($usesession) $_SESSION["login"]=$login;
$game["players"][$login]="loc.new.1";
$game["loc"]["loc.new.1"][$login] = array(
"title"=>$title,
"sekret"=>$sekret,
"info"=>"$p|$email|$sex|$race|$age|$sekret|".time(),// инфа и время создания
// skills=str|dex|int|level|points|meditation|steal|animaltaming|hand|coldweapon|ranged|parring|uklon|magic|magic_resist|magic_uklon|regeneration|hiding|look|steallook|animallore|spirit
"skills"=>"1|2|1|0|2|0|0|0|2|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|0|",
"loc"=>"loc.new.1",
"ghost"=>"0",
"crim"=>"0",
"time"=>time(),
"journal"=>array("Добро пажаловать в игру. Стань великим войном!"),
"equip"=>array(),
"items"=>array(),
"magic"=>array(),
"msg"=>array(),
);
calcparam($login);// обновим все значения
$game["all"]=$game["all"]+1;
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=reg2&login=$login&p=$p /Регистрация завершена
INFO: $p|$email|$sex|$race|$age|$sekret  |||  title: $title\n");
fclose($fp);
msg("Регистрация завершена!<br/> <a href=\"$PHP_SELF?login=$login&p=$p&site=connect2\">Начать игру</a>",$game_title,0,'none');
} else msg("Персонаж с логином $login уже существует, задайте другой<br><a href=\"$PHP_SELF?reg=1\">Назад</a>",$game_title,0,'none');
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=reg2&login=$login&p=$p /Персонаж существует с таким логином\n");
fclose($fp);
?>